Architektur Achse

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Axis and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська

Arch Axis.svg Arch Achse

Menüeintrag
Architektur → Achse
Arbeitsbereich
Arch
Standardtastenkürzel
A X
In der Version eingeführt
-
Siehe auch
Achsensystem, Arch Gitter


Beschreibung

Das Arch Axis.svg Architektur Achsen Werkzeug ermöglicht es dir, eine Reihe von Achsen im aktuellen Dokument zu platzieren. Der Abstand und der Winkel zwischen den Achsen ist anpassbar, ebenso wie der Nummerierungsstil. Die Achsen dienen hauptsächlich als Referenzen, auf die Objekte gefangen werden, können aber auch zusammen mit Arch Axis System.svg Architektur AchsenSysteme verwendet werden und kann auch von anderen Architekturobjekten referenziert werden, um parametrische Anordnungen, z.B. von Trägern oder Stützen, zu erstellen. Arch Grid.svg Architektur Gitter können auch an Stellen von Achsen verwendet werden.

Arch Axis example.jpg

Zwei Achsenobjekte, die rechtwinklig zueinander ausgerichtet sind, um ein Raster zu erzeugen


Anwendung

  1. Drücke die Arch Axis.svgArchitektur Achsen Taste oder drücke A dann X Tasten.
  2. Bewegen/Drehen das Achsensystem in die gewünschte Position.
  3. Rufe den Bearbeitungsmodus durch doppelklicken des Achsensystems in der Baumansicht auf, um dessen Einstellungen wie Anzahl der Achsen, Abstände und Winkel zwischen den Achsen anzupassen.

Optionen

  • Jede Achse in der Abfolge hat ihren eigenen Abstand und Winkel in Bezug auf die vorherige Achse. Dies ermöglicht sehr komplexe Systeme wie nicht-orthogonale Systeme, polare Systeme oder jede Art von nicht-uniformem System.
  • Durch Doppelklicken auf die Achse in der Baumansicht erlaubt das bearbeiten der Abstände, Winkel und Beschriftungen jeder Achse
  • Achslänge, Größe der Blasen und Nummerierungsstile sind direkt über die Eigenschaften des Achsensystems anpassbar.
  • Jede Achse kann auch eine Beschriftung anzeigen, die auch über den Dialog des Aufgabenpaneel bearbeitet werden kann.

Eigenschaften

  • Daten-EigenschaftLänge: die Länge der Achsen
  • Ansicht EigenschaftBlasengröße: die Größe der Achsenblasen
  • Ansicht EigenschaftNummerierungsstil: Wie die Achsen nummeriert sind: 1,2,3, A,B,C, usw..
  • Ansicht EigenschaftBlasenposition: Wo die Blase auf der Achse platziert ist: Am Startpunkt, Endpunkt, beide oder keiner.
  • Ansicht EigenschaftSchriftname: Einen Schrifttyp, um die Blasennummer und/oder eine Beschriftung anzubringen
  • Ansicht EigenschaftSchriftgröße: nur die Größe des Beschriftungstextes (der Blasentext wird durch die Blasengröße bestimmt)
  • Ansicht EigenschaftBeschriftung anzeigen: Schaltet die Anzeige der Etikettentexte ein/aus

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Achsenwerkzeug kann in Makros und aus der Python Konsole heraus durch folgende Funktion angesprochen werden:

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Erzeugt ein Axes Objekt basierend auf der gegebenen Anzahl num der Achsen und dem Abstand size zwischen benachbarten Achsen.

Beispiel:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()